2

So I bought the Humble Indie Bundle VI containing Torchlight (among others) and installed them via the software centre. A few days later some updates were available in the Update Manager as in this picture.
Screenshot showing update
Unfortunately, when trying to install it, the following message appears:
Error message
Which reads as follows:

(Reading database ... 425427 files and directories currently installed.)
Preparing to replace torchlight 1.0+2012+09+18a-0ubuntu1 (using .../torchlight_1.0+2012+09+26-0ubuntu1_i386.deb) ...
Unpacking replacement torchlight ...
dpkg: error processing /var/cache/apt/archives/torchlight_1.0+2012+09+26-0ubuntu1_i386.deb (--unpack):
trying to overwrite '/opt/torchlight/Torchlight.png', which is also in package torchlight-bin 1.0+2012+09+18a-0ubuntu1
No apport report written because MaxReports is reached already
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/torchlight_1.0+2012+09+26-0ubuntu1_i386.deb

Could anyone help me fix this?

2
  • Clean your apt cache then try again. Commented Oct 3, 2012 at 22:55
  • I have, it still isn't working. (Well, I ran apt-get clean) Commented Oct 4, 2012 at 17:30

1 Answer 1

3

I was having this problem as well. I installed it from the command line by running sudo aptitude safe-upgrade and it installed successfully.

1
  • Thanks, that worked, after running. I had to run apt-get clean first. Commented Oct 5, 2012 at 9:31

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .